geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vamsavardhana Reddy (JIRA)" <j...@apache.org>
Subject [jira] Created: (GERONIMO-3351) Plugin installer downloads a different version of dependecy than the one specified
Date Wed, 25 Jul 2007 19:30:31 GMT
Plugin installer downloads a different version of dependecy than the one specified
----------------------------------------------------------------------------------

                 Key: GERONIMO-3351
                 URL: https://issues.apache.org/jira/browse/GERONIMO-3351
             Project: Geronimo
          Issue Type: Bug
      Security Level: public (Regular issues)
          Components: deployment
    Affects Versions: 2.0
         Environment: G 2.0 Tomcat (should be applicable to G 2.0 Jetty as well)
            Reporter: Vamsavardhana Reddy


Plugin installer downloads a different version of dependecy than the one specified.  A scenario
below:

I am trying to install a plugin which has a dependency on "commonj/sdo-api-r2.1/1.0-incubating-SNAPSHOT/jar".
 During the stage at which the depedency jar are downloaded, I see the following:

Searching for commonj/sdo- api-r2.1/1.0-incubating-SNAPSHOT/jar at http://people.apache.org/repo/m2-incubating-repository
Downloading commonj/sdo-api-r2.1/1.0-incubating-beta1/jar...

Notice that the version it is supposed to download (this is the same version specified in
geronimo-plugin.xml) and the one it is actually downloading are different.

The plugin is failing to start and is throwing an exception with "reason: Unable to resolve
dependency commonj/sdo- api-r2.1/1.0-incubating-SNAPSHOT/jar".

A discussion thread on dev-list is at http://www.mail-archive.com/dev@geronimo.apache.org/msg48842.html

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message